Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 01 Nov 2014, 03:04
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Pidgin OTR Plugin 3.2.0 for puppy 4.3+
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [14 Posts]  
Author Message
Wolf Pup

Joined: 27 Apr 2006
Posts: 637

PostPosted: Sat 31 May 2008, 12:26    Post subject:  Pidgin OTR Plugin 3.2.0 for puppy 4.3+
Subject description: Off-the-Record (OTR) Messaging
 

Note: Works only with puppy 4.3 and higher. Needs libotr to work.

pidgin_otr-3.20.pet
md5sum

libotr-3.20.pet
md5sum

_________________

Visit The Repository - Helpful and hard-to-find treats for Puppy 3.
Click Here for Puppy Support Chat, + Helpful Links.

Last edited by Wolf Pup on Fri 16 Apr 2010, 23:43; edited 6 times in total
Back to top
View user's profile Send private message 
srf21c

Joined: 19 Feb 2008
Posts: 16

PostPosted: Sat 07 Jun 2008, 00:40    Post subject:  

Has any one been able to get this to work in Puppy 4.0? I installed both pets and rebooted, but still do not see OTR listed in the pidgin plugins dialogue box.
Back to top
View user's profile Send private message 
Wolf Pup

Joined: 27 Apr 2006
Posts: 637

PostPosted: Wed 18 Jun 2008, 01:07    Post subject:  

libotr and pidgin_OTR updated to 3.2.0
_________________

Visit The Repository - Helpful and hard-to-find treats for Puppy 3.
Click Here for Puppy Support Chat, + Helpful Links.
Back to top
View user's profile Send private message 
srf21c

Joined: 19 Feb 2008
Posts: 16

PostPosted: Sun 29 Jun 2008, 18:43    Post subject: libgpg errors  

Getting a boatload of libcrypt/libgpg errrors at the end of the libotr pet installation.
libotr pet error.png
 Description   
 Filesize   43.6 KB
 Viewed   2241 Time(s)

libotr pet error.png

Back to top
View user's profile Send private message 
srf21c

Joined: 19 Feb 2008
Posts: 16

PostPosted: Sun 29 Jun 2008, 19:15    Post subject:  

Resolved the dependency errors by using the puppy package manager to install the libgcrypt and libgpg-error packages from the official puppy 3.x repositories.

Now the problem is that pidgin segfaults as soon as I click to the checkbox to enable the OTR plugin.

Code:
Pidgin 2.4.1 has segfaulted and attempted to dump a core file.
This is a bug in the software and has happened through
no fault of your own.

If you can reproduce the crash, please notify the developers
by reporting a bug at:
http://developer.pidgin.im/simpleticket/

Please make sure to specify what you were doing at the time
and post the backtrace from the core file.  If you do not know
how to get the backtrace, please read the instructions at
http://developer.pidgin.im/wiki/GetABacktrace

If you need further assistance, please IM either SeanEgn or
LSchiere (via AIM).  Contact information for Sean and Luke
on other protocols is at
http://developer.pidgin.im/wiki/DeveloperPages
Aborted
Back to top
View user's profile Send private message 
yxtbi

Joined: 12 Mar 2009
Posts: 7

PostPosted: Sun 12 Apr 2009, 11:35    Post subject:  

dear wolfpup, can you pls create this great OTR plugin for puppy 4.2 ? i have tested it on different 4.x versions, still dont works, only on 3
p l e a s e
Back to top
View user's profile Send private message 
Wolf Pup

Joined: 27 Apr 2006
Posts: 637

PostPosted: Fri 16 Apr 2010, 23:39    Post subject:  

updated to work with puppy 4.3+ and pidgin. Smile
_________________

Visit The Repository - Helpful and hard-to-find treats for Puppy 3.
Click Here for Puppy Support Chat, + Helpful Links.
Back to top
View user's profile Send private message 
bremer


Joined: 25 Feb 2009
Posts: 72

PostPosted: Fri 04 Feb 2011, 08:29    Post subject:  

When I try to install libotr I get a message from pupget saying 'failed to install package', any idea what's wrong?
I'm running quirky 140, Pidgin 277, the pidgin-otr pet installed without problems.
Back to top
View user's profile Send private message 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Fri 04 Feb 2011, 17:48    Post subject:  

bremer wrote:
When I try to install libotr I get a message from pupget saying 'failed to install package', any idea what's wrong?
I'm running quirky 140, Pidgin 277, the pidgin-otr pet installed without problems.
Corrupt PET?
_________________
adobe flash is rubbish!
My Quote:"Humans are stupid, though some are clever but stupid." http://www.dependent.de/media/audio/mp3/System_Syn_Heres_to_You.zip http://www.systemsyn.com/
Back to top
View user's profile Send private message Visit poster's website 
Makoto


Joined: 03 Sep 2009
Posts: 1801
Location: Out wandering... maybe.

PostPosted: Fri 04 Feb 2011, 20:56    Post subject:  

Where did you download the .pet from? The link in the first post of this topic is a dead (404) link, unfortunately. If you downloaded that version, by right-clicking it and using your browser's Save As/Save File As/etc. feature, you probably have a copy of that 404 page... with the name "libotr-3.20.pet". Sad
_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
pupzo

Joined: 15 Dec 2011
Posts: 5

PostPosted: Thu 19 Jan 2012, 12:36    Post subject: mirrors  

hi

can anybody send me links that work for these files, or does anyojne know how to add the otr plugin on pidgin2.7.10 for lucid puppy 5.2.8 ???

really appreciate some help on this

thanks
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 1801
Location: Out wandering... maybe.

PostPosted: Fri 20 Jan 2012, 15:39    Post subject:  

For Wolf Pup's version, you'll need to see if anyone's still mirroring his .pets, and then see if the two .pets mentioned in the first post are there. All the sources I've had for mirrors of his .pets are apparently now not working or implemented. Sad

For Lucid and Pidgin 2.10.1 (the current version of Pidgin is 2.10.1, just in case you want to compile against source Smile ), you may need to compile the plugin against the current Pidgin source. I don't know how actively maintained the OTR plugin is, as I don't use it. Embarassed

(Edit: Just in case, you can find dejan555's compile of Pidgin 2.10.0 for Lucid/etc. here)

Also, you might try leaving a request for the plugin in the REQUESTS subforum.

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
pupzo

Joined: 15 Dec 2011
Posts: 5

PostPosted: Thu 26 Jan 2012, 07:12    Post subject: thanks  

Hi

thanks for the detailed reply, its too bad no mirrors working. i found the one part to this equation.

i have it attached.

i hope some1 can help with this.
pidgin_OTR-3.2.0.pet
Description  needs libotr-3.2.0.pet, which i cant find
pet

 Download 
Filename  pidgin_OTR-3.2.0.pet 
Filesize  63.93 KB 
Downloaded  234 Time(s) 
Back to top
View user's profile Send private message 
pupzo

Joined: 15 Dec 2011
Posts: 5

PostPosted: Thu 26 Jan 2012, 12:15    Post subject: found it  

ok guys, thanks to dejan5555

here are all the files

http://www.murga-linux.com/puppy/viewtopic.php?t=67369
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [14 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0785s ][ Queries: 12 (0.0133s) ][ GZIP on ]